/* Стили для "Основ работы в R" */



/*===============
  Размеры текста
и responsive layout 
==================*/

html {
  font-size: 10px; /* body 18px = ноуты и больше */
}

@media (max-width: 992px) {
  html {
    font-size: 8.3px; /* body ~15px = смартфоны и планшеты */
  }
}

body {
  font-size: 1.8rem;
}

h1.title {font-size: 3.8rem}
h1 {font-size: 3.4rem}
h2 {font-size: 3.0rem}
h3 {font-size: 2.4rem}
h4 {font-size: 2.0rem}

pre.r {
  font-size: 0.9em;
}

/* ========= Большие экраны ===========*/
@media (min-width: 768px) {
  
/*Уменьшенные шрифты для оглавления, когда оно сбоку*/  
  .tocify-header,
  .tocify-subheader {
	  font-size: 0.9em;
  }
}

/* ========= Смартфоны / маленькие экраны ==========*/
@media (max-width: 768px) {
  
/*Увеличить картинки на всю ширину*/
  img.single {
    width: 100%;
  }
}


/*=======
  Шрифты 
=========*/

body {
  font-family: "PT Sans", Tahoma, Helvetica, sans-serif;
}

h1, h2 {
  font-family: "Russo One", Verdana, Helvetica, sans-serif;
  font-weight: normal;
}

h3, h4 {
  font-family: inherit;
  font-weight: bold;
}

.figure .caption {
  font-family: "PT Sans Caption", Verdana, Helvetica, sans-serif;
  font-size: 0.85em;
  font-weight: bold;
}

/*======
Служебные классы
========*/

.hidden {
  display: none;
}


/*======
Элементы дизайна
========*/

/* Заголовок страницы*/
h1.title,
.date {
	text-align: center;
}
.date {
  margin-bottom: 2.4em;
}

.section h1 {
  margin-top: 2em;
  margin-bottom: 1em;
  text-align: center;
}

h2 {
  margin-top: 1.6em;
  margin-bottom: 1em;
}

h3 {
  margin-top: 1.4em;
  margin-bottom: 1em;
}

h4 {
  margin-top: 1.4em;
  margin-bottom: 1em;
}

table caption {
    color: inherit;
    text-align: center;
    font-weight: bold;
}


/* Код со скролл-баром */
.x-scroll code {
  white-space: pre;
  overflow-x: scroll;
}

/* Примечания */
.footnotes-end-of-document::before {
  content: "Примечания";
  font-family: "Russo One", Verdana, Helvetica, sans-serif;
  font-weight: normal;
  font-size: 3rem;
  display: block;
  margin-top: 4em;
}
.footnotes-end-of-document hr {
  margin-top: 5px;
  border-top: 1px solid #1a242f;
}

/* Информационные блоки */
.info {
  padding: 1.5em;
  background-color: aliceblue;
  font-size: 0.9em;
  border: solid 1px;
  border-color: cadetblue;
  border-radius: 10px;
}

.info h3 {
  margin-top: 0.4em;
}

/* Вывод в две колонки */
@media (min-width: 768px) {
  .two-columns {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 30px;
  }
}